#if !defined(AFX_DEMPAGE_H__53257BCA_2C5E_4AFA_BCCA_44B601C148AF__INCLUDED_)
#define AFX_DEMPAGE_H__53257BCA_2C5E_4AFA_BCCA_44B601C148AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DemPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDemPage dialog

class CDemPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CDemPage)

// Construction
public:
	CDemPage();
	~CDemPage();

// Dialog Data
	//{{AFX_DATA(CDemPage)
	enum { IDD = IDD_DEMPAGE };
	CScrollBar	m_DemScrollY;
	CScrollBar	m_DemScrollX;
	CStatic	m_DemPanel;
	CString	m_DemColumns;
	CString	m_DemMaxHeight;
	CString	m_DemMinHeight;
	CString	m_DemRows;
	CString	m_DemXSpacing;
	CString	m_DemYSpacing;
	CString	m_DemEast;
	CString	m_DemHeight;
	CString	m_DemNorth;
	int		m_DemBitsGroup;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDemPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDemPage)
	afx_msg void OnGetdeminfo();
	afx_msg void OnPaint();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	virtual BOOL OnInitDialog();
	afx_msg void OnDembits8();
	afx_msg void OnDembits24();
	afx_msg void OnDembits32();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void GetDemClip();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMPAGE_H__53257BCA_2C5E_4AFA_BCCA_44B601C148AF__INCLUDED_)
